
_interrupt:

;DimmerRGB.c,156 :: 		interrupt()
;DimmerRGB.c,162 :: 		if(INTCON.IOCIF)
	BTFSS      INTCON+0, 0
	GOTO       L_interrupt0
;DimmerRGB.c,164 :: 		tmp = PORTB;
	MOVF       PORTB+0, 0
	MOVWF      R2+0
;DimmerRGB.c,167 :: 		if(IOCBF&ENCODER1_A && tmp&ENCODER1_B && !off)
	BTFSS      IOCBF+0, 4
	GOTO       L_interrupt3
	BTFSS      R2+0, 5
	GOTO       L_interrupt3
	MOVF       _off+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt3
L__interrupt58:
;DimmerRGB.c,169 :: 		if(brightness<NUMBER_OF_BRIGHTNESS_LEVELS-1)
	MOVLW      31
	SUBWF      _brightness+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt4
;DimmerRGB.c,170 :: 		++brightness;
	INCF       _brightness+0, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      _brightness+0
L_interrupt4:
;DimmerRGB.c,171 :: 		update = 1;
	MOVLW      1
	MOVWF      _update+0
;DimmerRGB.c,172 :: 		}
L_interrupt3:
;DimmerRGB.c,175 :: 		if(IOCBF&ENCODER1_B && tmp&ENCODER1_A && !off)
	BTFSS      IOCBF+0, 5
	GOTO       L_interrupt7
	BTFSS      R2+0, 4
	GOTO       L_interrupt7
	MOVF       _off+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt7
L__interrupt57:
;DimmerRGB.c,177 :: 		if(brightness>0)
	MOVF       _brightness+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt8
;DimmerRGB.c,178 :: 		--brightness;
	DECF       _brightness+0, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      _brightness+0
L_interrupt8:
;DimmerRGB.c,179 :: 		update = 1;
	MOVLW      1
	MOVWF      _update+0
;DimmerRGB.c,180 :: 		}
L_interrupt7:
;DimmerRGB.c,183 :: 		if(IOCBF&ENCODER1_PB && brightness)
	BTFSS      IOCBF+0, 3
	GOTO       L_interrupt11
	MOVF       _brightness+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt11
L__interrupt56:
;DimmerRGB.c,185 :: 		if(off)
	MOVF       _off+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt12
;DimmerRGB.c,186 :: 		off = 0;
	CLRF       _off+0
	GOTO       L_interrupt13
L_interrupt12:
;DimmerRGB.c,188 :: 		off = 1;
	MOVLW      1
	MOVWF      _off+0
L_interrupt13:
;DimmerRGB.c,189 :: 		update = 1;
	MOVLW      1
	MOVWF      _update+0
;DimmerRGB.c,190 :: 		}
L_interrupt11:
;DimmerRGB.c,193 :: 		if(IOCBF&ENCODER2_A && tmp&ENCODER2_B && !white && !off && brightness)
	BTFSS      IOCBF+0, 1
	GOTO       L_interrupt16
	BTFSS      R2+0, 2
	GOTO       L_interrupt16
	MOVF       _white+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt16
	MOVF       _off+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt16
	MOVF       _brightness+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt16
L__interrupt55:
;DimmerRGB.c,195 :: 		++color;
	INCF       _color+0, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      _color+0
;DimmerRGB.c,196 :: 		if(color==NUMBER_OF_COLORS)
	MOVF       _color+0, 0
	XORLW      24
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt17
;DimmerRGB.c,197 :: 		color = 0;
	CLRF       _color+0
L_interrupt17:
;DimmerRGB.c,198 :: 		update = 1;
	MOVLW      1
	MOVWF      _update+0
;DimmerRGB.c,199 :: 		}
L_interrupt16:
;DimmerRGB.c,202 :: 		if(IOCBF&ENCODER2_B && tmp&ENCODER2_A && !white && !off && brightness)
	BTFSS      IOCBF+0, 2
	GOTO       L_interrupt20
	BTFSS      R2+0, 1
	GOTO       L_interrupt20
	MOVF       _white+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt20
	MOVF       _off+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt20
	MOVF       _brightness+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt20
L__interrupt54:
;DimmerRGB.c,204 :: 		--color;
	DECF       _color+0, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      _color+0
;DimmerRGB.c,205 :: 		if(color>NUMBER_OF_COLORS-1)
	MOVF       _color+0, 0
	SUBLW      23
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt21
;DimmerRGB.c,206 :: 		color = NUMBER_OF_COLORS-1;
	MOVLW      23
	MOVWF      _color+0
L_interrupt21:
;DimmerRGB.c,207 :: 		update = 1;
	MOVLW      1
	MOVWF      _update+0
;DimmerRGB.c,208 :: 		}
L_interrupt20:
;DimmerRGB.c,211 :: 		if(IOCBF&ENCODER2_PB && !off && brightness)
	BTFSS      IOCBF+0, 0
	GOTO       L_interrupt24
	MOVF       _off+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_interrupt24
	MOVF       _brightness+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt24
L__interrupt53:
;DimmerRGB.c,213 :: 		if(white)
	MOVF       _white+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt25
;DimmerRGB.c,214 :: 		white = 0;
	CLRF       _white+0
	GOTO       L_interrupt26
L_interrupt25:
;DimmerRGB.c,216 :: 		white = 1;
	MOVLW      1
	MOVWF      _white+0
L_interrupt26:
;DimmerRGB.c,217 :: 		update = 1;
	MOVLW      1
	MOVWF      _update+0
;DimmerRGB.c,218 :: 		}
L_interrupt24:
;DimmerRGB.c,220 :: 		IOCBF = 0;
	CLRF       IOCBF+0
;DimmerRGB.c,221 :: 		return;
	GOTO       L__interrupt60
;DimmerRGB.c,222 :: 		}
L_interrupt0:
;DimmerRGB.c,226 :: 		if(PIR1.SSPIF)
	BTFSS      PIR1+0, 3
	GOTO       L_interrupt27
;DimmerRGB.c,229 :: 		if(SSPSTAT.R_NOT_W)
	BTFSS      SSPSTAT+0, 2
	GOTO       L_interrupt28
;DimmerRGB.c,232 :: 		if(SSPCON2.ACKSTAT)
	BTFSS      SSPCON2+0, 6
	GOTO       L_interrupt29
;DimmerRGB.c,234 :: 		i2c_data.data_sent = 1; //Indicate that data has been sent
	MOVLW      1
	MOVWF      _i2c_data+4
;DimmerRGB.c,235 :: 		}
	GOTO       L_interrupt30
L_interrupt29:
;DimmerRGB.c,240 :: 		if(!SSPSTAT.D_NOT_A)
	BTFSC      SSPSTAT+0, 5
	GOTO       L_interrupt31
;DimmerRGB.c,242 :: 		i2c_data.address = SSPBUF & 0b11111110; //Save address
	MOVLW      254
	ANDWF      SSPBUF+0, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      _i2c_data+0
;DimmerRGB.c,243 :: 		i2c_data.ptr = &i2c_data.send_buffer[0]; //Reset buffer pointer
	MOVLW      _i2c_data+8
	MOVWF      _i2c_data+6
	MOVLW      hi_addr(_i2c_data+8)
	MOVWF      _i2c_data+7
;DimmerRGB.c,244 :: 		i2c_data.bytes_sent = 0; //Reset byte counter
	CLRF       _i2c_data+5
;DimmerRGB.c,245 :: 		}
L_interrupt31:
;DimmerRGB.c,247 :: 		if(i2c_data.bytes_sent<I2C_SEND_BUFFER_SIZE)
	MOVLW      11
	SUBWF      _i2c_data+5, 0
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt32
;DimmerRGB.c,249 :: 		SSPBUF = *i2c_data.ptr; //Fill buffer with next byte
	MOVF       _i2c_data+6, 0
	MOVWF      FSR0L
	MOVF       _i2c_data+7, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      SSPBUF+0
;DimmerRGB.c,250 :: 		++i2c_data.bytes_sent; //Incerement byte counter
	INCF       _i2c_data+5, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      _i2c_data+5
;DimmerRGB.c,251 :: 		++i2c_data.ptr; //Increment pointer
	MOVLW      1
	ADDWF      _i2c_data+6, 0
	MOVWF      R0
	MOVLW      0
	ADDWFC     _i2c_data+7, 0
	MOVWF      R1
	MOVF       R0, 0
	MOVWF      _i2c_data+6
	MOVF       R1, 0
	MOVWF      _i2c_data+7
;DimmerRGB.c,252 :: 		}
	GOTO       L_interrupt33
L_interrupt32:
;DimmerRGB.c,255 :: 		SSPBUF = 0x00; //No more data available, send zeros
	CLRF       SSPBUF+0
;DimmerRGB.c,256 :: 		}
L_interrupt33:
;DimmerRGB.c,257 :: 		}
L_interrupt30:
;DimmerRGB.c,258 :: 		}
	GOTO       L_interrupt34
L_interrupt28:
;DimmerRGB.c,263 :: 		if(SSPSTAT.P)
	BTFSS      SSPSTAT+0, 4
	GOTO       L_interrupt35
;DimmerRGB.c,265 :: 		i2c_data.data_received = 1; //Indicate that data has been received
	MOVLW      1
	MOVWF      _i2c_data+2
;DimmerRGB.c,266 :: 		SSPCON3.PCIE = 0; //Disable Stop detectection interrupts
	BCF        SSPCON3+0, 6
;DimmerRGB.c,267 :: 		}
	GOTO       L_interrupt36
L_interrupt35:
;DimmerRGB.c,272 :: 		if(!SSPSTAT.D_NOT_A)
	BTFSC      SSPSTAT+0, 5
	GOTO       L_interrupt37
;DimmerRGB.c,274 :: 		i2c_data.address = SSPBUF & 0b11111110; //Save address
	MOVLW      254
	ANDWF      SSPBUF+0, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      _i2c_data+0
;DimmerRGB.c,275 :: 		i2c_data.ptr = &i2c_data.receive_buffer[0]; //Reset buffer pointer
	MOVLW      _i2c_data+19
	MOVWF      _i2c_data+6
	MOVLW      hi_addr(_i2c_data+19)
	MOVWF      _i2c_data+7
;DimmerRGB.c,276 :: 		i2c_data.bytes_received = 0; //Reset byte counter
	CLRF       _i2c_data+3
;DimmerRGB.c,277 :: 		SSPCON3.PCIE = 1; //Enable Stop detectection interrupts
	BSF        SSPCON3+0, 6
;DimmerRGB.c,278 :: 		}
	GOTO       L_interrupt38
L_interrupt37:
;DimmerRGB.c,282 :: 		if(i2c_data.bytes_received<I2C_RECEIVE_BUFFER_SIZE)
	MOVLW      8
	SUBWF      _i2c_data+3, 0
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt39
;DimmerRGB.c,284 :: 		*i2c_data.ptr = SSPBUF; //Save data
	MOVF       _i2c_data+6, 0
	MOVWF      FSR1L
	MOVF       _i2c_data+7, 0
	MOVWF      FSR1H
	MOVF       SSPBUF+0, 0
	MOVWF      INDF1+0
;DimmerRGB.c,285 :: 		++i2c_data.bytes_received; //Increment byte counter
	INCF       _i2c_data+3, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      _i2c_data+3
;DimmerRGB.c,286 :: 		++i2c_data.ptr; //Increment pointer
	MOVLW      1
	ADDWF      _i2c_data+6, 0
	MOVWF      R0
	MOVLW      0
	ADDWFC     _i2c_data+7, 0
	MOVWF      R1
	MOVF       R0, 0
	MOVWF      _i2c_data+6
	MOVF       R1, 0
	MOVWF      _i2c_data+7
;DimmerRGB.c,287 :: 		}
L_interrupt39:
;DimmerRGB.c,288 :: 		}
L_interrupt38:
;DimmerRGB.c,289 :: 		}
L_interrupt36:
;DimmerRGB.c,290 :: 		}
L_interrupt34:
;DimmerRGB.c,291 :: 		SSPCON1.CKP = 1; //Release SCL line
	BSF        SSPCON1+0, 4
;DimmerRGB.c,292 :: 		PIR1.SSPIF = 0; //Clear SSP interrupt flag
	BCF        PIR1+0, 3
;DimmerRGB.c,293 :: 		return;
	GOTO       L__interrupt60
;DimmerRGB.c,294 :: 		}
L_interrupt27:
;DimmerRGB.c,295 :: 		}
L_end_interrupt:
L__interrupt60:
	RETFIE     %s
; end of _interrupt

_i2c_slave_init:

;DimmerRGB.c,300 :: 		void i2c_slave_init()
;DimmerRGB.c,303 :: 		i2c_data.address = 0;
	CLRF       _i2c_data+0
;DimmerRGB.c,304 :: 		i2c_data.dummy = 0;
	CLRF       _i2c_data+1
;DimmerRGB.c,305 :: 		i2c_data.data_received = 0;
	CLRF       _i2c_data+2
;DimmerRGB.c,306 :: 		i2c_data.bytes_received = 0;
	CLRF       _i2c_data+3
;DimmerRGB.c,307 :: 		i2c_data.data_sent = 0;
	CLRF       _i2c_data+4
;DimmerRGB.c,308 :: 		i2c_data.ptr = &i2c_data.send_buffer[0];
	MOVLW      _i2c_data+8
	MOVWF      _i2c_data+6
	MOVLW      hi_addr(_i2c_data+8)
	MOVWF      _i2c_data+7
;DimmerRGB.c,309 :: 		for(i2c_data.bytes_sent=0; i2c_data.bytes_sent<I2C_SEND_BUFFER_SIZE; ++i2c_data.bytes_sent)
	CLRF       _i2c_data+5
L_i2c_slave_init40:
	MOVLW      11
	SUBWF      _i2c_data+5, 0
	BTFSC      STATUS+0, 0
	GOTO       L_i2c_slave_init41
;DimmerRGB.c,311 :: 		i2c_data.send_buffer[i2c_data.bytes_sent] = i2c_data.bytes_sent;
	MOVLW      _i2c_data+8
	MOVWF      FSR1L
	MOVLW      hi_addr(_i2c_data+8)
	MOVWF      FSR1H
	MOVF       _i2c_data+5, 0
	ADDWF      FSR1L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR1H, 1
	MOVF       _i2c_data+5, 0
	MOVWF      INDF1+0
;DimmerRGB.c,309 :: 		for(i2c_data.bytes_sent=0; i2c_data.bytes_sent<I2C_SEND_BUFFER_SIZE; ++i2c_data.bytes_sent)
	INCF       _i2c_data+5, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      _i2c_data+5
;DimmerRGB.c,312 :: 		}
	GOTO       L_i2c_slave_init40
L_i2c_slave_init41:
;DimmerRGB.c,313 :: 		i2c_data.send_buffer[0] = 88;
	MOVLW      88
	MOVWF      _i2c_data+8
;DimmerRGB.c,314 :: 		i2c_data.bytes_sent = 0;
	CLRF       _i2c_data+5
;DimmerRGB.c,315 :: 		for(i2c_data.bytes_received=0; i2c_data.bytes_received<I2C_RECEIVE_BUFFER_SIZE; ++i2c_data.bytes_received)
	CLRF       _i2c_data+3
L_i2c_slave_init43:
	MOVLW      8
	SUBWF      _i2c_data+3, 0
	BTFSC      STATUS+0, 0
	GOTO       L_i2c_slave_init44
;DimmerRGB.c,317 :: 		i2c_data.receive_buffer[i2c_data.bytes_received] = 0;
	MOVLW      _i2c_data+19
	MOVWF      FSR1L
	MOVLW      hi_addr(_i2c_data+19)
	MOVWF      FSR1H
	MOVF       _i2c_data+3, 0
	ADDWF      FSR1L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR1H, 1
	CLRF       INDF1+0
;DimmerRGB.c,315 :: 		for(i2c_data.bytes_received=0; i2c_data.bytes_received<I2C_RECEIVE_BUFFER_SIZE; ++i2c_data.bytes_received)
	INCF       _i2c_data+3, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      _i2c_data+3
;DimmerRGB.c,318 :: 		}
	GOTO       L_i2c_slave_init43
L_i2c_slave_init44:
;DimmerRGB.c,319 :: 		i2c_data.bytes_received = 0;
	CLRF       _i2c_data+3
;DimmerRGB.c,321 :: 		TRISC.B3 = 1; //pin 14, RC3, SCL
	BSF        TRISC+0, 3
;DimmerRGB.c,322 :: 		TRISC.B4 = 1; //pin 15, RC4, SDA
	BSF        TRISC+0, 4
;DimmerRGB.c,324 :: 		SSPADD = I2C_SLAVE_ADDRESS;
	MOVLW      224
	MOVWF      SSPADD+0
;DimmerRGB.c,326 :: 		SSPMSK = I2C_SLAVE_ADDRESS_MASK;
	MOVLW      255
	MOVWF      SSPMSK+0
;DimmerRGB.c,329 :: 		SSPSTAT.SMP = 1; //Disable slew rate control for high speed mode (400kHz), RaspberryPi uses 100kHz
	BSF        SSPSTAT+0, 7
;DimmerRGB.c,331 :: 		SSPSTAT.CKE = 1; //Enable SMBus specific inputs
	BSF        SSPSTAT+0, 6
;DimmerRGB.c,332 :: 		SSPSTAT.BF = 0; //Clear buffer full status bit
	BCF        SSPSTAT+0, 0
;DimmerRGB.c,334 :: 		SSPCON1.WCOL = 0; //Clear Write Collision Detect bit
	BCF        SSPCON1+0, 7
;DimmerRGB.c,335 :: 		SSPCON1.SSPOV = 0; //Clear Receive Overflow Indicator bit
	BCF        SSPCON1+0, 6
;DimmerRGB.c,336 :: 		SSPCON1.SSPEN = 0; //Disable Synchronous Serial Port for now
	BCF        SSPCON1+0, 5
;DimmerRGB.c,337 :: 		SSPCON1.CKP = 1; //Release clock (do not hold CLK low)
	BSF        SSPCON1+0, 4
;DimmerRGB.c,338 :: 		SSPCON1.SSPM3 = 1; //7-bit I2C Slave Mode with start and stop interrupts
	BSF        SSPCON1+0, 3
;DimmerRGB.c,339 :: 		SSPCON1.SSPM2 = 1; //7-bit I2C Slave Mode with start and stop interrupts
	BSF        SSPCON1+0, 2
;DimmerRGB.c,340 :: 		SSPCON1.SSPM1 = 1; //7-bit I2C Slave Mode with start and stop interrupts
	BSF        SSPCON1+0, 1
;DimmerRGB.c,341 :: 		SSPCON1.SSPM0 = 0; //7-bit I2C Slave Mode with start and stop interrupts
	BCF        SSPCON1+0, 0
;DimmerRGB.c,343 :: 		SSPCON2.GCEN = 0; //Disable General Call
	BCF        SSPCON2+0, 7
;DimmerRGB.c,344 :: 		SSPCON2.SEN = 1; //Enable Clock Stretching
	BSF        SSPCON2+0, 0
;DimmerRGB.c,346 :: 		SSPCON3.PCIE = 0; //Disable Stop detectection interrupts
	BCF        SSPCON3+0, 6
;DimmerRGB.c,347 :: 		SSPCON3.SCIE = 0; //Disable Start detection interrupts
	BCF        SSPCON3+0, 5
;DimmerRGB.c,348 :: 		SSPCON3.BOEN = 0; //Only update buffer when SSPOV is clear
	BCF        SSPCON3+0, 4
;DimmerRGB.c,349 :: 		SSPCON3.SDAHT = 1; //Minimum of 300 ns hold time on SDA after the falling edge of SCL
	BSF        SSPCON3+0, 3
;DimmerRGB.c,350 :: 		SSPCON3.SBCDE = 0; //Slave bus collision interrupts are disabled
	BCF        SSPCON3+0, 2
;DimmerRGB.c,351 :: 		SSPCON3.AHEN = 0; //Disable address holding
	BCF        SSPCON3+0, 1
;DimmerRGB.c,352 :: 		SSPCON3.DHEN = 0; //Disable data holding
	BCF        SSPCON3+0, 0
;DimmerRGB.c,354 :: 		PIR1.SSPIF = 0; //Clear SSP Interrupt Flag
	BCF        PIR1+0, 3
;DimmerRGB.c,355 :: 		PIE1.SSPIE = 1; //Enable MSSP interrupts
	BSF        PIE1+0, 3
;DimmerRGB.c,356 :: 		PIR2.BCLIF = 0; //Clear MSSP Bus Collision Interrupt Flag bit
	BCF        PIR2+0, 3
;DimmerRGB.c,357 :: 		PIE2.BCLIE = 0; //Disable MSSP Bus Collision Interrupt Enable bit
	BCF        PIE2+0, 3
;DimmerRGB.c,358 :: 		INTCON.PEIE = 1; //Enable Peripheral Interrupts
	BSF        INTCON+0, 6
;DimmerRGB.c,359 :: 		INTCON.GIE = 1; //Enable Interrupts
	BSF        INTCON+0, 7
;DimmerRGB.c,361 :: 		SSPCON1.SSPEN = 1; //Enable Synchronous Serial Port
	BSF        SSPCON1+0, 5
;DimmerRGB.c,362 :: 		}
L_end_i2c_slave_init:
	RETURN
; end of _i2c_slave_init

DimmerRGB_init:

;DimmerRGB.c,370 :: 		static void init()
;DimmerRGB.c,374 :: 		TRISA = 0b11101111; //Output for CCP5 on RA4
	MOVLW      239
	MOVWF      TRISA+0
;DimmerRGB.c,375 :: 		PORTA = 0b00010000; //Turn inverting fet driver at RA4 off
	MOVLW      16
	MOVWF      PORTA+0
;DimmerRGB.c,377 :: 		TRISB = 0b11111111;
	MOVLW      255
	MOVWF      TRISB+0
;DimmerRGB.c,378 :: 		PORTB = 0b00000000;
	CLRF       PORTB+0
;DimmerRGB.c,380 :: 		TRISC = 0b10111101; //Output for CCP3 at RC6 and CCP2 at RC1
	MOVLW      189
	MOVWF      TRISC+0
;DimmerRGB.c,381 :: 		PORTC = 0b01000010; //Turn inverting fet driver at RC6 and RC1 off
	MOVLW      66
	MOVWF      PORTC+0
;DimmerRGB.c,383 :: 		ANSELA = 0b00000100; //12V_SENSE at AN2
	MOVLW      4
	MOVWF      ANSELA+0
;DimmerRGB.c,384 :: 		ANSELB = 0b00000000;
	CLRF       ANSELB+0
;DimmerRGB.c,386 :: 		APFCON = 0b00000000;
	CLRF       APFCON+0
;DimmerRGB.c,390 :: 		OSCCON = 0b11110000;
	MOVLW      240
	MOVWF      OSCCON+0
;DimmerRGB.c,393 :: 		white = 1;
	MOVLW      1
	MOVWF      _white+0
;DimmerRGB.c,394 :: 		off = 0;
	CLRF       _off+0
;DimmerRGB.c,395 :: 		brightness = 1;
	MOVLW      1
	MOVWF      _brightness+0
;DimmerRGB.c,396 :: 		color = 0;
	CLRF       _color+0
;DimmerRGB.c,397 :: 		update = 1;
	MOVLW      1
	MOVWF      _update+0
;DimmerRGB.c,400 :: 		IOCBP = ENCODER1_PB | ENCODER2_PB; //Interrupt-on-Change on positive edge
	MOVLW      9
	MOVWF      IOCBP+0
;DimmerRGB.c,401 :: 		IOCBN = ENCODER1_A | ENCODER1_B | ENCODER2_A | ENCODER2_B; //Interrupt-on-Change on negative edge
	MOVLW      54
	MOVWF      IOCBN+0
;DimmerRGB.c,402 :: 		INTCON &= (~INTERRUPT_ON_CHANGE_FLAG); //Clear interrupt flag prior to enable
	BCF        INTCON+0, 0
;DimmerRGB.c,403 :: 		IOCBF = 0; // Clear interrupt-on-change flag
	CLRF       IOCBF+0
;DimmerRGB.c,404 :: 		INTCON |= INTERRUPT_ON_CHANGE_ENABLE; // Interrupt on change enable bit
	BSF        INTCON+0, 3
;DimmerRGB.c,405 :: 		INTCON |= GLOBAL_INTERRUPT_ENABLE; // Global interrupt enable bit
	BSF        INTCON+0, 7
;DimmerRGB.c,408 :: 		TMR2 = 0x00; //Start counting at 0
	CLRF       TMR2+0
;DimmerRGB.c,409 :: 		PR2 = 0xFF; //Full period of 256
	MOVLW      255
	MOVWF      PR2+0
;DimmerRGB.c,410 :: 		TMR4 = 85; //Start counting 120 degrees out of phase
	MOVLW      85
	MOVWF      TMR4+0
;DimmerRGB.c,411 :: 		PR4 = 0xFF; //Full period of 256
	MOVLW      255
	MOVWF      PR4+0
;DimmerRGB.c,412 :: 		TMR6 = 170; //Start counting 240 degrees out of phase
	MOVLW      170
	MOVWF      TMR6+0
;DimmerRGB.c,413 :: 		PR6 = 0xFF; //Full period of 256
	MOVLW      255
	MOVWF      PR6+0
;DimmerRGB.c,414 :: 		T2CON = 0b00011100; //timer 2 on, prescaler=1, postscaler=4, page 209
	MOVLW      28
	MOVWF      T2CON+0
;DimmerRGB.c,415 :: 		T4CON = 0b00011100; //timer 4 on, prescaler=1, postscaler=4, page 209
	MOVLW      28
	MOVWF      T4CON+0
;DimmerRGB.c,416 :: 		T6CON = 0b00011100; //timer 6 on, prescaler=1, postscaler=4, page 209
	MOVLW      28
	MOVWF      T6CON+0
;DimmerRGB.c,419 :: 		CCPTMRS0 = 0b00010000; //TMR2 for CCP2, TMR4 for CCP3, page 235
	MOVLW      16
	MOVWF      CCPTMRS0+0
;DimmerRGB.c,420 :: 		CCPTMRS1 = 0b00000010; //TMR6 for CCP5, page 235
	MOVLW      2
	MOVWF      CCPTMRS1+0
;DimmerRGB.c,421 :: 		CCP2CON = 0b00001111; //Single output, PWM mode, active-low, page 234
	MOVLW      15
	MOVWF      CCP2CON+0
;DimmerRGB.c,422 :: 		CCP3CON = 0b00001111; //Single output, PWM mode, active-low, page 234
	MOVLW      15
	MOVWF      CCP3CON+0
;DimmerRGB.c,423 :: 		CCP5CON = 0b00001100; //Single output, PWM mode, page 234
	MOVLW      12
	MOVWF      CCP5CON+0
;DimmerRGB.c,426 :: 		i2c_slave_init();
	CALL       _i2c_slave_init+0
;DimmerRGB.c,427 :: 		}
L_end_init:
	RETURN
; end of DimmerRGB_init

DimmerRGB_PWM_red:

;DimmerRGB.c,433 :: 		static void PWM_red(uint16_t dutycycle)
;DimmerRGB.c,436 :: 		dutycycle &= 0b1111111111;
	MOVLW      255
	ANDWF      FARG_DimmerRGB_PWM_red_dutycycle+0, 0
	MOVWF      R0
	MOVF       FARG_DimmerRGB_PWM_red_dutycycle+1, 0
	ANDLW      3
	MOVWF      R1
	MOVF       R0, 0
	MOVWF      FARG_DimmerRGB_PWM_red_dutycycle+0
	MOVF       R1, 0
	MOVWF      FARG_DimmerRGB_PWM_red_dutycycle+1
;DimmerRGB.c,438 :: 		dutycycle = 1023 - dutycycle;
	MOVF       R0, 0
	SUBLW      255
	MOVWF      R3
	MOVF       R1, 0
	BTFSS      STATUS+0, 0
	ADDLW      1
	SUBLW      3
	MOVWF      R4
	MOVF       R3, 0
	MOVWF      FARG_DimmerRGB_PWM_red_dutycycle+0
	MOVF       R4, 0
	MOVWF      FARG_DimmerRGB_PWM_red_dutycycle+1
;DimmerRGB.c,440 :: 		CCPR5L = dutycycle>>2;
	MOVF       R3, 0
	MOVWF      R0
	MOVF       R4, 0
	MOVWF      R1
	LSRF       R1, 1
	RRF        R0, 1
	LSRF       R1, 1
	RRF        R0, 1
	MOVF       R0, 0
	MOVWF      CCPR5L+0
;DimmerRGB.c,442 :: 		CCP5CON = 0b00001100 | ((dutycycle & 0b11)<<4);
	MOVLW      3
	ANDWF      R3, 0
	MOVWF      R2
	MOVF       R2, 0
	MOVWF      R0
	LSLF       R0, 1
	LSLF       R0, 1
	LSLF       R0, 1
	LSLF       R0, 1
	MOVLW      12
	IORWF       R0, 0
	MOVWF      CCP5CON+0
;DimmerRGB.c,443 :: 		}
L_end_PWM_red:
	RETURN
; end of DimmerRGB_PWM_red

DimmerRGB_PWM_green:

;DimmerRGB.c,449 :: 		static void PWM_green(uint16_t dutycycle)
;DimmerRGB.c,452 :: 		dutycycle &= 0b1111111111;
	MOVLW      255
	ANDWF      FARG_DimmerRGB_PWM_green_dutycycle+0, 0
	MOVWF      R3
	MOVF       FARG_DimmerRGB_PWM_green_dutycycle+1, 0
	ANDLW      3
	MOVWF      R4
	MOVF       R3, 0
	MOVWF      FARG_DimmerRGB_PWM_green_dutycycle+0
	MOVF       R4, 0
	MOVWF      FARG_DimmerRGB_PWM_green_dutycycle+1
;DimmerRGB.c,454 :: 		CCPR2L = dutycycle>>2;
	MOVF       R3, 0
	MOVWF      R0
	MOVF       R4, 0
	MOVWF      R1
	LSRF       R1, 1
	RRF        R0, 1
	LSRF       R1, 1
	RRF        R0, 1
	MOVF       R0, 0
	MOVWF      CCPR2L+0
;DimmerRGB.c,456 :: 		CCP2CON = (CCP2CON & 0b11001111) | ((dutycycle & 0b11)<<4);
	MOVLW      207
	ANDWF      CCP2CON+0, 0
	MOVWF      R5
	MOVLW      3
	ANDWF      R3, 0
	MOVWF      R2
	MOVF       R2, 0
	MOVWF      R0
	LSLF       R0, 1
	LSLF       R0, 1
	LSLF       R0, 1
	LSLF       R0, 1
	MOVF       R0, 0
	IORWF       R5, 0
	MOVWF      CCP2CON+0
;DimmerRGB.c,457 :: 		}
L_end_PWM_green:
	RETURN
; end of DimmerRGB_PWM_green

DimmerRGB_PWM_blue:

;DimmerRGB.c,463 :: 		static void PWM_blue(uint16_t dutycycle)
;DimmerRGB.c,466 :: 		dutycycle &= 0b1111111111;
	MOVLW      255
	ANDWF      FARG_DimmerRGB_PWM_blue_dutycycle+0, 0
	MOVWF      R3
	MOVF       FARG_DimmerRGB_PWM_blue_dutycycle+1, 0
	ANDLW      3
	MOVWF      R4
	MOVF       R3, 0
	MOVWF      FARG_DimmerRGB_PWM_blue_dutycycle+0
	MOVF       R4, 0
	MOVWF      FARG_DimmerRGB_PWM_blue_dutycycle+1
;DimmerRGB.c,468 :: 		CCPR3L = dutycycle>>2;
	MOVF       R3, 0
	MOVWF      R0
	MOVF       R4, 0
	MOVWF      R1
	LSRF       R1, 1
	RRF        R0, 1
	LSRF       R1, 1
	RRF        R0, 1
	MOVF       R0, 0
	MOVWF      CCPR3L+0
;DimmerRGB.c,470 :: 		CCP3CON = (CCP3CON & 0b11001111) | ((dutycycle & 0b11)<<4);
	MOVLW      207
	ANDWF      CCP3CON+0, 0
	MOVWF      R5
	MOVLW      3
	ANDWF      R3, 0
	MOVWF      R2
	MOVF       R2, 0
	MOVWF      R0
	LSLF       R0, 1
	LSLF       R0, 1
	LSLF       R0, 1
	LSLF       R0, 1
	MOVF       R0, 0
	IORWF       R5, 0
	MOVWF      CCP3CON+0
;DimmerRGB.c,471 :: 		}
L_end_PWM_blue:
	RETURN
; end of DimmerRGB_PWM_blue

DimmerRGB_set_rgb:

;DimmerRGB.c,473 :: 		static void set_rgb()
;DimmerRGB.c,476 :: 		update = 0;
	CLRF       _update+0
;DimmerRGB.c,478 :: 		if(off)
	MOVF       _off+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_DimmerRGB_set_rgb46
;DimmerRGB.c,480 :: 		red = 0;
	CLRF       _red+0
	CLRF       _red+1
;DimmerRGB.c,481 :: 		green = 0;
	CLRF       _green+0
	CLRF       _green+1
;DimmerRGB.c,482 :: 		blue = 0;
	CLRF       _blue+0
	CLRF       _blue+1
;DimmerRGB.c,483 :: 		}
	GOTO       L_DimmerRGB_set_rgb47
L_DimmerRGB_set_rgb46:
;DimmerRGB.c,486 :: 		if(white)
	MOVF       _white+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_DimmerRGB_set_rgb48
;DimmerRGB.c,488 :: 		tmp = ((uint32_t) brightness_levels[brightness] * RGB_NEUTRAL_RED) >> 8;
	MOVF       _brightness+0, 0
	MOVWF      R0
	CLRF       R1
	LSLF       R0, 1
	RLF        R1, 1
	MOVLW      _brightness_levels+0
	ADDWF      R0, 0
	MOVWF      FSR0L
	MOVLW      hi_addr(_brightness_levels+0)
	ADDWFC     R1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      R0
	ADDFSR     0, 1
	MOVF       INDF0+0, 0
	MOVWF      R1
	CLRF       R2
	CLRF       R3
	MOVLW      255
	MOVWF      R4
	CLRF       R5
	CLRF       R6
	CLRF       R7
	CALL       _Mul_32x32_U+0
	MOVF       R1, 0
	MOVWF      R4
	MOVF       R2, 0
	MOVWF      R5
	MOVF       R3, 0
	MOVWF      R6
	CLRF       R7
;DimmerRGB.c,489 :: 		red = (uint16_t) tmp;
	MOVF       R4, 0
	MOVWF      _red+0
	MOVF       R5, 0
	MOVWF      _red+1
;DimmerRGB.c,490 :: 		tmp = ((uint32_t) brightness_levels[brightness] * RGB_NEUTRAL_GREEN) >> 8;
	MOVF       _brightness+0, 0
	MOVWF      R0
	CLRF       R1
	LSLF       R0, 1
	RLF        R1, 1
	MOVLW      _brightness_levels+0
	ADDWF      R0, 0
	MOVWF      FSR0L
	MOVLW      hi_addr(_brightness_levels+0)
	ADDWFC     R1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      R0
	ADDFSR     0, 1
	MOVF       INDF0+0, 0
	MOVWF      R1
	CLRF       R2
	CLRF       R3
	MOVLW      90
	MOVWF      R4
	CLRF       R5
	CLRF       R6
	CLRF       R7
	CALL       _Mul_32x32_U+0
	MOVF       R1, 0
	MOVWF      R4
	MOVF       R2, 0
	MOVWF      R5
	MOVF       R3, 0
	MOVWF      R6
	CLRF       R7
;DimmerRGB.c,491 :: 		green = (uint16_t) tmp;
	MOVF       R4, 0
	MOVWF      _green+0
	MOVF       R5, 0
	MOVWF      _green+1
;DimmerRGB.c,492 :: 		tmp = ((uint32_t) brightness_levels[brightness] * RGB_NEUTRAL_BLUE) >> 8;
	MOVF       _brightness+0, 0
	MOVWF      R0
	CLRF       R1
	LSLF       R0, 1
	RLF        R1, 1
	MOVLW      _brightness_levels+0
	ADDWF      R0, 0
	MOVWF      FSR0L
	MOVLW      hi_addr(_brightness_levels+0)
	ADDWFC     R1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      R0
	ADDFSR     0, 1
	MOVF       INDF0+0, 0
	MOVWF      R1
	CLRF       R2
	CLRF       R3
	MOVLW      50
	MOVWF      R4
	CLRF       R5
	CLRF       R6
	CLRF       R7
	CALL       _Mul_32x32_U+0
	MOVF       R1, 0
	MOVWF      R4
	MOVF       R2, 0
	MOVWF      R5
	MOVF       R3, 0
	MOVWF      R6
	CLRF       R7
;DimmerRGB.c,493 :: 		blue = (uint16_t) tmp;
	MOVF       R4, 0
	MOVWF      _blue+0
	MOVF       R5, 0
	MOVWF      _blue+1
;DimmerRGB.c,494 :: 		}
	GOTO       L_DimmerRGB_set_rgb49
L_DimmerRGB_set_rgb48:
;DimmerRGB.c,497 :: 		tmp = ((uint32_t) brightness_levels[brightness] * colors[color][0]) >> 8;
	MOVF       _brightness+0, 0
	MOVWF      R0
	CLRF       R1
	LSLF       R0, 1
	RLF        R1, 1
	MOVLW      _brightness_levels+0
	ADDWF      R0, 0
	MOVWF      FSR0L
	MOVLW      hi_addr(_brightness_levels+0)
	ADDWFC     R1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      FLOC_DimmerRGB_set_rgb+0
	ADDFSR     0, 1
	MOVF       INDF0+0, 0
	MOVWF      FLOC_DimmerRGB_set_rgb+1
	CLRF       FLOC_DimmerRGB_set_rgb+2
	CLRF       FLOC_DimmerRGB_set_rgb+3
	MOVLW      3
	MOVWF      R0
	MOVLW      0
	MOVWF      R1
	MOVF       _color+0, 0
	MOVWF      R4
	CLRF       R5
	CALL       _Mul_16x16_U+0
	MOVLW      _colors+0
	ADDWF      R0, 0
	MOVWF      FSR0L
	MOVLW      hi_addr(_colors+0)
	ADDWFC     R1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      R0
	MOVLW      0
	MOVWF      R1
	MOVWF      R2
	MOVWF      R3
	MOVF       FLOC_DimmerRGB_set_rgb+0, 0
	MOVWF      R4
	MOVF       FLOC_DimmerRGB_set_rgb+1, 0
	MOVWF      R5
	MOVF       FLOC_DimmerRGB_set_rgb+2, 0
	MOVWF      R6
	MOVF       FLOC_DimmerRGB_set_rgb+3, 0
	MOVWF      R7
	CALL       _Mul_32x32_U+0
	MOVF       R1, 0
	MOVWF      R4
	MOVF       R2, 0
	MOVWF      R5
	MOVF       R3, 0
	MOVWF      R6
	CLRF       R7
;DimmerRGB.c,498 :: 		red = (uint16_t) tmp;
	MOVF       R4, 0
	MOVWF      _red+0
	MOVF       R5, 0
	MOVWF      _red+1
;DimmerRGB.c,499 :: 		tmp = ((uint32_t) brightness_levels[brightness] * colors[color][1]) >> 8;
	MOVF       _brightness+0, 0
	MOVWF      R0
	CLRF       R1
	LSLF       R0, 1
	RLF        R1, 1
	MOVLW      _brightness_levels+0
	ADDWF      R0, 0
	MOVWF      FSR0L
	MOVLW      hi_addr(_brightness_levels+0)
	ADDWFC     R1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      FLOC_DimmerRGB_set_rgb+0
	ADDFSR     0, 1
	MOVF       INDF0+0, 0
	MOVWF      FLOC_DimmerRGB_set_rgb+1
	CLRF       FLOC_DimmerRGB_set_rgb+2
	CLRF       FLOC_DimmerRGB_set_rgb+3
	MOVLW      3
	MOVWF      R0
	MOVLW      0
	MOVWF      R1
	MOVF       _color+0, 0
	MOVWF      R4
	CLRF       R5
	CALL       _Mul_16x16_U+0
	MOVLW      _colors+0
	ADDWF      R0, 1
	MOVLW      hi_addr(_colors+0)
	ADDWFC     R1, 1
	MOVLW      1
	ADDWF      R0, 0
	MOVWF      FSR0L
	MOVLW      0
	ADDWFC     R1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      R0
	MOVLW      0
	MOVWF      R1
	MOVWF      R2
	MOVWF      R3
	MOVF       FLOC_DimmerRGB_set_rgb+0, 0
	MOVWF      R4
	MOVF       FLOC_DimmerRGB_set_rgb+1, 0
	MOVWF      R5
	MOVF       FLOC_DimmerRGB_set_rgb+2, 0
	MOVWF      R6
	MOVF       FLOC_DimmerRGB_set_rgb+3, 0
	MOVWF      R7
	CALL       _Mul_32x32_U+0
	MOVF       R1, 0
	MOVWF      R4
	MOVF       R2, 0
	MOVWF      R5
	MOVF       R3, 0
	MOVWF      R6
	CLRF       R7
;DimmerRGB.c,500 :: 		green = (uint16_t) tmp;
	MOVF       R4, 0
	MOVWF      _green+0
	MOVF       R5, 0
	MOVWF      _green+1
;DimmerRGB.c,501 :: 		tmp = ((uint32_t) brightness_levels[brightness] * colors[color][2]) >> 8;
	MOVF       _brightness+0, 0
	MOVWF      R0
	CLRF       R1
	LSLF       R0, 1
	RLF        R1, 1
	MOVLW      _brightness_levels+0
	ADDWF      R0, 0
	MOVWF      FSR0L
	MOVLW      hi_addr(_brightness_levels+0)
	ADDWFC     R1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      FLOC_DimmerRGB_set_rgb+0
	ADDFSR     0, 1
	MOVF       INDF0+0, 0
	MOVWF      FLOC_DimmerRGB_set_rgb+1
	CLRF       FLOC_DimmerRGB_set_rgb+2
	CLRF       FLOC_DimmerRGB_set_rgb+3
	MOVLW      3
	MOVWF      R0
	MOVLW      0
	MOVWF      R1
	MOVF       _color+0, 0
	MOVWF      R4
	CLRF       R5
	CALL       _Mul_16x16_U+0
	MOVLW      _colors+0
	ADDWF      R0, 1
	MOVLW      hi_addr(_colors+0)
	ADDWFC     R1, 1
	MOVLW      2
	ADDWF      R0, 0
	MOVWF      FSR0L
	MOVLW      0
	ADDWFC     R1, 0
	MOVWF      FSR0H
	MOVF       INDF0+0, 0
	MOVWF      R0
	MOVLW      0
	MOVWF      R1
	MOVWF      R2
	MOVWF      R3
	MOVF       FLOC_DimmerRGB_set_rgb+0, 0
	MOVWF      R4
	MOVF       FLOC_DimmerRGB_set_rgb+1, 0
	MOVWF      R5
	MOVF       FLOC_DimmerRGB_set_rgb+2, 0
	MOVWF      R6
	MOVF       FLOC_DimmerRGB_set_rgb+3, 0
	MOVWF      R7
	CALL       _Mul_32x32_U+0
	MOVF       R1, 0
	MOVWF      R4
	MOVF       R2, 0
	MOVWF      R5
	MOVF       R3, 0
	MOVWF      R6
	CLRF       R7
;DimmerRGB.c,502 :: 		blue = (uint16_t) tmp;
	MOVF       R4, 0
	MOVWF      _blue+0
	MOVF       R5, 0
	MOVWF      _blue+1
;DimmerRGB.c,503 :: 		}
L_DimmerRGB_set_rgb49:
;DimmerRGB.c,504 :: 		}
L_DimmerRGB_set_rgb47:
;DimmerRGB.c,505 :: 		PWM_red(red);
	MOVF       _red+0, 0
	MOVWF      FARG_DimmerRGB_PWM_red_dutycycle+0
	MOVF       _red+1, 0
	MOVWF      FARG_DimmerRGB_PWM_red_dutycycle+1
	CALL       DimmerRGB_PWM_red+0
;DimmerRGB.c,506 :: 		PWM_green(green);
	MOVF       _green+0, 0
	MOVWF      FARG_DimmerRGB_PWM_green_dutycycle+0
	MOVF       _green+1, 0
	MOVWF      FARG_DimmerRGB_PWM_green_dutycycle+1
	CALL       DimmerRGB_PWM_green+0
;DimmerRGB.c,507 :: 		PWM_blue(blue);
	MOVF       _blue+0, 0
	MOVWF      FARG_DimmerRGB_PWM_blue_dutycycle+0
	MOVF       _blue+1, 0
	MOVWF      FARG_DimmerRGB_PWM_blue_dutycycle+1
	CALL       DimmerRGB_PWM_blue+0
;DimmerRGB.c,508 :: 		update = 0;
	CLRF       _update+0
;DimmerRGB.c,509 :: 		}
L_end_set_rgb:
	RETURN
; end of DimmerRGB_set_rgb

DimmerRGB_fill_send_buffer:

;DimmerRGB.c,514 :: 		static void fill_send_buffer()
;DimmerRGB.c,516 :: 		i2c_data.send_buffer[0] = 0; // Status
	CLRF       _i2c_data+8
;DimmerRGB.c,517 :: 		i2c_data.send_buffer[1] = white; // White
	MOVF       _white+0, 0
	MOVWF      _i2c_data+9
;DimmerRGB.c,518 :: 		i2c_data.send_buffer[2] = off; // Off
	MOVF       _off+0, 0
	MOVWF      _i2c_data+10
;DimmerRGB.c,519 :: 		i2c_data.send_buffer[3] = brightness; // Brightness
	MOVF       _brightness+0, 0
	MOVWF      _i2c_data+11
;DimmerRGB.c,520 :: 		i2c_data.send_buffer[4] = color; // Color
	MOVF       _color+0, 0
	MOVWF      _i2c_data+12
;DimmerRGB.c,521 :: 		i2c_data.send_buffer[5] = red>>7; // Red MSB
	MOVLW      7
	MOVWF      R2
	MOVF       _red+0, 0
	MOVWF      R0
	MOVF       _red+1, 0
	MOVWF      R1
	MOVF       R2, 0
L_DimmerRGB_fill_send_buffer68:
	BTFSC      STATUS+0, 2
	GOTO       L_DimmerRGB_fill_send_buffer69
	LSRF       R1, 1
	RRF        R0, 1
	ADDLW      255
	GOTO       L_DimmerRGB_fill_send_buffer68
L_DimmerRGB_fill_send_buffer69:
	MOVF       R0, 0
	MOVWF      _i2c_data+13
;DimmerRGB.c,522 :: 		i2c_data.send_buffer[6] = red & 0b01111111; // Red LSB
	MOVLW      127
	ANDWF      _red+0, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      _i2c_data+14
;DimmerRGB.c,523 :: 		i2c_data.send_buffer[7] = green>>7; // Green MSB
	MOVLW      7
	MOVWF      R2
	MOVF       _green+0, 0
	MOVWF      R0
	MOVF       _green+1, 0
	MOVWF      R1
	MOVF       R2, 0
L_DimmerRGB_fill_send_buffer70:
	BTFSC      STATUS+0, 2
	GOTO       L_DimmerRGB_fill_send_buffer71
	LSRF       R1, 1
	RRF        R0, 1
	ADDLW      255
	GOTO       L_DimmerRGB_fill_send_buffer70
L_DimmerRGB_fill_send_buffer71:
	MOVF       R0, 0
	MOVWF      _i2c_data+15
;DimmerRGB.c,524 :: 		i2c_data.send_buffer[8] = green & 0b01111111; // Green LSB
	MOVLW      127
	ANDWF      _green+0, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      _i2c_data+16
;DimmerRGB.c,525 :: 		i2c_data.send_buffer[9] = blue>>7; // Blue MSB
	MOVLW      7
	MOVWF      R2
	MOVF       _blue+0, 0
	MOVWF      R0
	MOVF       _blue+1, 0
	MOVWF      R1
	MOVF       R2, 0
L_DimmerRGB_fill_send_buffer72:
	BTFSC      STATUS+0, 2
	GOTO       L_DimmerRGB_fill_send_buffer73
	LSRF       R1, 1
	RRF        R0, 1
	ADDLW      255
	GOTO       L_DimmerRGB_fill_send_buffer72
L_DimmerRGB_fill_send_buffer73:
	MOVF       R0, 0
	MOVWF      _i2c_data+17
;DimmerRGB.c,526 :: 		i2c_data.send_buffer[10] = blue & 0b01111111; // Blue LSB
	MOVLW      127
	ANDWF      _blue+0, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      _i2c_data+18
;DimmerRGB.c,527 :: 		}
L_end_fill_send_buffer:
	RETURN
; end of DimmerRGB_fill_send_buffer

_main:

;DimmerRGB.c,532 :: 		void main()
;DimmerRGB.c,535 :: 		init();
	CALL       DimmerRGB_init+0
;DimmerRGB.c,538 :: 		while(1)
L_main50:
;DimmerRGB.c,540 :: 		if(update)
	MOVF       _update+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main52
;DimmerRGB.c,542 :: 		set_rgb();
	CALL       DimmerRGB_set_rgb+0
;DimmerRGB.c,543 :: 		fill_send_buffer();
	CALL       DimmerRGB_fill_send_buffer+0
;DimmerRGB.c,544 :: 		}
L_main52:
;DimmerRGB.c,545 :: 		}
	GOTO       L_main50
;DimmerRGB.c,546 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
